int
_isblank(int c){
	return c == '\t'
		|| c == ' ';
}

int
_isspace(int c){
	return isblank(c)
		|| c == '\n'
		|| c == '\v'
		|| c == '\f'
		|| c == '\r';
}

int
_isgraph(int c){ return c >= '!' && c <= '~'; }

int
_isprint(int c){ return c == ' ' || isgraph(c); }

int
_iscntrl(int c){ return !isprint(c); }

int
_isdigit(int c){ return c >= '0' && c <= '9'; }

int
_islower(int c){ return c >= 'a' && c <= 'z'; }

int
_isupper(int c){ return c >= 'A' && c <= 'Z'; }

int
_isxdigit(int c){
	return
		isdigit(c)
		|| (c >= 'a' && c <= 'f')
		|| (c >= 'A' && c <= 'F');
}

int
_isalpha(int c){ return islower(c) || isupper(c); }

int
_isalnum(int c){ return isalpha(c) || isdigit(c) };

int
_ispunct(int c){ return c != ' ' && !isalnum(c) };

int
_tolower(int c){ return c - isupper(c) * ('A' - 'a'); }

int
_toupper(int c){ return c + islower(c) * ('A' - 'a'); }
